curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/issuing/cardholders \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/issuing/cardholders"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/issuing/cardholders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v1/issuing/cardholders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v1/issuing/cardholders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v1/issuing/cardholders")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v1/issuing/cardholders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"total_items": 283,
"total_pages": 29,
"data": [
{
"cardholder_id": "27be5ee4-4679-4296-aa89-e079a7e7923c",
"first_name": "Gateway",
"last_name": "Acceptance",
"date_of_birth": "0001-01-01",
"email": "eks-acceptance-e628fe81d4cb45b4bc149b5b605a3286@example.test",
"country_code": "US",
"nationality": "",
"gender": "",
"phone_number": "2025550185",
"delivery_address": null,
"cardholder_status": "SUCCESS",
"review_status": "SUCCESS",
"create_time": "2026-09-09 10:41:04",
"number_of_cards": 0
},
{
"cardholder_id": "29577de6-00a1-42a4-81f0-ad26f2189514",
"first_name": "Gateway",
"last_name": "Acceptance",
"date_of_birth": "0001-01-01",
"email": "eks-acceptance-4b49c8856a82400dba4c282aaa7d0ac7@example.test",
"country_code": "US",
"nationality": "",
"gender": "",
"phone_number": "2025550184",
"delivery_address": null,
"cardholder_status": "SUCCESS",
"review_status": "SUCCESS",
"create_time": "2026-09-09 10:40:58",
"number_of_cards": 0
},
{
"cardholder_id": "fa999ecc-fd6f-44e3-b490-f98a03330ec3",
"first_name": "Gateway",
"last_name": "Acceptance",
"date_of_birth": "0001-01-01",
"email": "eks-acceptance-efde1530b64c495eba862cc63d4d247a@example.test",
"country_code": "US",
"nationality": "",
"gender": "",
"phone_number": "2025550183",
"delivery_address": null,
"cardholder_status": "SUCCESS",
"review_status": "SUCCESS",
"create_time": "2026-09-09 10:40:53",
"number_of_cards": 0
},
{
"cardholder_id": "4e4bceaa-46f5-42f5-8e94-982953091606",
"first_name": "Gateway",
"last_name": "Acceptance",
"date_of_birth": "0001-01-01",
"email": "eks-acceptance-723305ac00a4446ba8cce760f4ccc908@example.test",
"country_code": "US",
"nationality": "",
"gender": "",
"phone_number": "2025550182",
"delivery_address": null,
"cardholder_status": "SUCCESS",
"review_status": "SUCCESS",
"create_time": "2026-09-08 16:48:59",
"number_of_cards": 0
},
{
"cardholder_id": "888c73a0-21bf-47b6-a306-4d846413d3ff",
"first_name": "Gateway",
"last_name": "Acceptance",
"date_of_birth": "0001-01-01",
"email": "eks-acceptance-63d35d2eccef41439521e37852dafb92@example.test",
"country_code": "US",
"nationality": "",
"gender": "",
"phone_number": "2025550181",
"delivery_address": null,
"cardholder_status": "SUCCESS",
"review_status": "SUCCESS",
"create_time": "2026-09-08 16:48:56",
"number_of_cards": 0
},
{
"cardholder_id": "a5a293f6-bf92-42c2-9f8a-394b55266ee6",
"first_name": "Gateway",
"last_name": "Acceptance",
"date_of_birth": "0001-01-01",
"email": "eks-acceptance-e54f5ad182ae4caab0616481f6e5a97e@example.test",
"country_code": "US",
"nationality": "",
"gender": "",
"phone_number": "2025550180",
"delivery_address": null,
"cardholder_status": "SUCCESS",
"review_status": "SUCCESS",
"create_time": "2026-09-08 16:48:53",
"number_of_cards": 0
},
{
"cardholder_id": "581cd678-e35b-4755-b376-52343cbe06e4",
"first_name": "Gateway",
"last_name": "AcceptanceGamma",
"date_of_birth": "0001-01-01",
"email": "gateway-acceptance-a2f1dc25-7d9d-4444-8512-44dc2ec4fcda@example.invalid",
"country_code": "US",
"nationality": "",
"gender": "",
"phone_number": "2025550106",
"delivery_address": null,
"cardholder_status": "SUCCESS",
"review_status": "SUCCESS",
"create_time": "2026-09-08 13:18:48",
"number_of_cards": 0
},
{
"cardholder_id": "067e7416-7922-4135-bf3a-6dc7e24db406",
"first_name": "Gateway",
"last_name": "AcceptanceBeta",
"date_of_birth": "0001-01-01",
"email": "gateway-acceptance-bc6c70fb-3199-46dd-a27f-e80ea06f7463@example.invalid",
"country_code": "US",
"nationality": "",
"gender": "",
"phone_number": "2025550105",
"delivery_address": null,
"cardholder_status": "SUCCESS",
"review_status": "SUCCESS",
"create_time": "2026-09-08 13:18:43",
"number_of_cards": 0
},
{
"cardholder_id": "3b28fac8-b7fc-4e2d-bb1c-458a80f81d0c",
"first_name": "Gateway",
"last_name": "AcceptanceAlpha",
"date_of_birth": "0001-01-01",
"email": "gateway-acceptance-ee1d2960-a4eb-4732-baf4-12574a2da301@example.invalid",
"country_code": "US",
"nationality": "",
"gender": "",
"phone_number": "2025550104",
"delivery_address": null,
"cardholder_status": "SUCCESS",
"review_status": "SUCCESS",
"create_time": "2026-09-08 13:18:41",
"number_of_cards": 0
},
{
"cardholder_id": "44f0c830-e964-4092-bbe6-08c2654f5108",
"first_name": "Gateway",
"last_name": "AcceptanceGamma",
"date_of_birth": "0001-01-01",
"email": "gateway-acceptance-e17299fed41648e2bcfb472ad60f8125@example.invalid",
"country_code": "US",
"nationality": "",
"gender": "",
"phone_number": "2025550103",
"delivery_address": null,
"cardholder_status": "SUCCESS",
"review_status": "SUCCESS",
"create_time": "2026-09-08 10:23:02",
"number_of_cards": 0
}
]
}List Cardholders
Returns a list of issuing cardholder objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first.
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/issuing/cardholders \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/issuing/cardholders"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/issuing/cardholders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v1/issuing/cardholders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v1/issuing/cardholders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v1/issuing/cardholders")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v1/issuing/cardholders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"total_items": 283,
"total_pages": 29,
"data": [
{
"cardholder_id": "27be5ee4-4679-4296-aa89-e079a7e7923c",
"first_name": "Gateway",
"last_name": "Acceptance",
"date_of_birth": "0001-01-01",
"email": "eks-acceptance-e628fe81d4cb45b4bc149b5b605a3286@example.test",
"country_code": "US",
"nationality": "",
"gender": "",
"phone_number": "2025550185",
"delivery_address": null,
"cardholder_status": "SUCCESS",
"review_status": "SUCCESS",
"create_time": "2026-09-09 10:41:04",
"number_of_cards": 0
},
{
"cardholder_id": "29577de6-00a1-42a4-81f0-ad26f2189514",
"first_name": "Gateway",
"last_name": "Acceptance",
"date_of_birth": "0001-01-01",
"email": "eks-acceptance-4b49c8856a82400dba4c282aaa7d0ac7@example.test",
"country_code": "US",
"nationality": "",
"gender": "",
"phone_number": "2025550184",
"delivery_address": null,
"cardholder_status": "SUCCESS",
"review_status": "SUCCESS",
"create_time": "2026-09-09 10:40:58",
"number_of_cards": 0
},
{
"cardholder_id": "fa999ecc-fd6f-44e3-b490-f98a03330ec3",
"first_name": "Gateway",
"last_name": "Acceptance",
"date_of_birth": "0001-01-01",
"email": "eks-acceptance-efde1530b64c495eba862cc63d4d247a@example.test",
"country_code": "US",
"nationality": "",
"gender": "",
"phone_number": "2025550183",
"delivery_address": null,
"cardholder_status": "SUCCESS",
"review_status": "SUCCESS",
"create_time": "2026-09-09 10:40:53",
"number_of_cards": 0
},
{
"cardholder_id": "4e4bceaa-46f5-42f5-8e94-982953091606",
"first_name": "Gateway",
"last_name": "Acceptance",
"date_of_birth": "0001-01-01",
"email": "eks-acceptance-723305ac00a4446ba8cce760f4ccc908@example.test",
"country_code": "US",
"nationality": "",
"gender": "",
"phone_number": "2025550182",
"delivery_address": null,
"cardholder_status": "SUCCESS",
"review_status": "SUCCESS",
"create_time": "2026-09-08 16:48:59",
"number_of_cards": 0
},
{
"cardholder_id": "888c73a0-21bf-47b6-a306-4d846413d3ff",
"first_name": "Gateway",
"last_name": "Acceptance",
"date_of_birth": "0001-01-01",
"email": "eks-acceptance-63d35d2eccef41439521e37852dafb92@example.test",
"country_code": "US",
"nationality": "",
"gender": "",
"phone_number": "2025550181",
"delivery_address": null,
"cardholder_status": "SUCCESS",
"review_status": "SUCCESS",
"create_time": "2026-09-08 16:48:56",
"number_of_cards": 0
},
{
"cardholder_id": "a5a293f6-bf92-42c2-9f8a-394b55266ee6",
"first_name": "Gateway",
"last_name": "Acceptance",
"date_of_birth": "0001-01-01",
"email": "eks-acceptance-e54f5ad182ae4caab0616481f6e5a97e@example.test",
"country_code": "US",
"nationality": "",
"gender": "",
"phone_number": "2025550180",
"delivery_address": null,
"cardholder_status": "SUCCESS",
"review_status": "SUCCESS",
"create_time": "2026-09-08 16:48:53",
"number_of_cards": 0
},
{
"cardholder_id": "581cd678-e35b-4755-b376-52343cbe06e4",
"first_name": "Gateway",
"last_name": "AcceptanceGamma",
"date_of_birth": "0001-01-01",
"email": "gateway-acceptance-a2f1dc25-7d9d-4444-8512-44dc2ec4fcda@example.invalid",
"country_code": "US",
"nationality": "",
"gender": "",
"phone_number": "2025550106",
"delivery_address": null,
"cardholder_status": "SUCCESS",
"review_status": "SUCCESS",
"create_time": "2026-09-08 13:18:48",
"number_of_cards": 0
},
{
"cardholder_id": "067e7416-7922-4135-bf3a-6dc7e24db406",
"first_name": "Gateway",
"last_name": "AcceptanceBeta",
"date_of_birth": "0001-01-01",
"email": "gateway-acceptance-bc6c70fb-3199-46dd-a27f-e80ea06f7463@example.invalid",
"country_code": "US",
"nationality": "",
"gender": "",
"phone_number": "2025550105",
"delivery_address": null,
"cardholder_status": "SUCCESS",
"review_status": "SUCCESS",
"create_time": "2026-09-08 13:18:43",
"number_of_cards": 0
},
{
"cardholder_id": "3b28fac8-b7fc-4e2d-bb1c-458a80f81d0c",
"first_name": "Gateway",
"last_name": "AcceptanceAlpha",
"date_of_birth": "0001-01-01",
"email": "gateway-acceptance-ee1d2960-a4eb-4732-baf4-12574a2da301@example.invalid",
"country_code": "US",
"nationality": "",
"gender": "",
"phone_number": "2025550104",
"delivery_address": null,
"cardholder_status": "SUCCESS",
"review_status": "SUCCESS",
"create_time": "2026-09-08 13:18:41",
"number_of_cards": 0
},
{
"cardholder_id": "44f0c830-e964-4092-bbe6-08c2654f5108",
"first_name": "Gateway",
"last_name": "AcceptanceGamma",
"date_of_birth": "0001-01-01",
"email": "gateway-acceptance-e17299fed41648e2bcfb472ad60f8125@example.invalid",
"country_code": "US",
"nationality": "",
"gender": "",
"phone_number": "2025550103",
"delivery_address": null,
"cardholder_status": "SUCCESS",
"review_status": "SUCCESS",
"create_time": "2026-09-08 10:23:02",
"number_of_cards": 0
}
]
}Authorizations
The API token for login provided by UQPAY.
Headers
Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts endpoint. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.
Query Parameters
The maximum number of items to return per page. This number can be between 10 - 100, and will default to 10
10 <= x <= 10010
The page number to retrieve. Page numbering starts at 1.
x >= 11
Retrieve items with the specified cardholder status. Matches any cardholder status if unspecified.
PENDING, SUCCESS, INCOMPLETE, FAILED "PENDING"

